# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls.defaults import patterns, url
from frontend.android_textfield_loop.views.android_textfield_loop_create_view \
    import AndroidTextFieldLoopCreateView
from frontend.android_textfield_loop.views.android_textfield_loop_update_view \
    import AndroidTextFieldLoopUpdateView
from frontend.android_textfield_loop.views.android_textfield_loop_detail_view \
    import AndroidTextFieldLoopDetailView


urlpatterns = patterns('',
    url(r'^android-text/create/$',
        AndroidTextFieldLoopCreateView.as_view(),
        name='AndroidTextFieldLoopCreate'),
    url(r'^android-text/detail/(?P<slug>[\w|\W]+)/$',
        AndroidTextFieldLoopDetailView.as_view(),
        name='AndroidTextFieldLoopDetail'),
    url(r'^android-text/update/(?P<slug>[\w|\W]+)/$',
        AndroidTextFieldLoopUpdateView.as_view(),
        name='AndroidTextFieldLoopUpdate'),
    )
