# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'AndroidTextFieldLoop'
        db.create_table('android_textfield_loop_androidtextfieldloop', (
            ('loop_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['frontend.Loop'], unique=True, primary_key=True)),
            ('values', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal('android_textfield_loop', ['AndroidTextFieldLoop'])


    def backwards(self, orm):
        
        # Deleting model 'AndroidTextFieldLoop'
        db.delete_table('android_textfield_loop_androidtextfieldloop')


    models = {
        'android_textfield_loop.androidtextfieldloop': {
            'Meta': {'object_name': 'AndroidTextFieldLoop'},
            'loop_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['frontend.Loop']", 'unique': 'True', 'primary_key': 'True'}),
            'values': ('django.db.models.fields.TextField', [], {})
        },
        'frontend.loop': {
            'Meta': {'object_name': 'Loop'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_official': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_restricted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'server': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['jenkinsserver.JenkinsServer']", 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'jenkinsserver.jenkinsserver': {
            'Meta': {'object_name': 'JenkinsServer'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['android_textfield_loop']
