$(document).ready(function () {
    init_dialog();

    $("#next_loop_1_link").click(function() {
        update_dialog(1);
        $('#select_loop_dialog').dialog('open');
    });
});

init_dialog = function () {
    $('<div id="select_loop_dialog"><input type="hidden" name="page"' +
      'id="page" value="1"/></div>')
	.dialog({
	    autoOpen: false,
	    title: 'Select Chain Loop',
            draggable: false,
            height: 300,
            width: 500,
            modal: true,
            resizable: false
	});
}

// Updates dialog.
// page - Which page to load.
update_dialog = function (page) {
    $.get("/loop/get_chainable/?page=" + page +
          "&type=" + $("#id_type").val(),
          function(data) {
              $("#select_loop_dialog").html(data);
          });
}

// Callback function for Loop link onclick in the popup.
chain_loop_selected = function (loop_name, loop_id) {
    $('#next_loop_1_link').html(loop_name);
    $('#id_next_loop_0').val(loop_id);

    $('#select_loop_dialog').dialog('close');
}
