# Copyright (C) 2012 Linaro
#
# This file is part of linaro-ci-dashboard.
#
# linaro-ci-dashboard is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# linaro-ci-dashboard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with linaro-ci-dashboard.  If not, see <http://www.gnu.org/licenses/>.
# Django settings for dashboard project.

import logging


class Logger:
    "Logging-related helper class."

    @staticmethod
    def getClassLogger(obj):
        "Given a class instance, return logger to use for that class."
        toplevel_package = obj.__class__.__module__.split(".", 1)[0]
        logger_name = toplevel_package + '.' + obj.__class__.__name__
        return logging.getLogger(logger_name)
